diff -Naur linux-source-2.6.38.orig/mm/mmap.c linux-source-2.6.38.modif/mm/mmap.c
--- linux-source-2.6.38.orig/mm/mmap.c	2011-09-28 16:24:41.000000000 +0200
+++ linux-source-2.6.38.modif/mm/mmap.c	2011-12-16 17:01:04.000000000 +0100
@@ -264,6 +264,9 @@
 	struct mm_struct *mm = current->mm;
 	unsigned long min_brk;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|brk");
+
 	down_write(&mm->mmap_sem);
 
 #ifdef CONFIG_COMPAT_BRK
@@ -1142,6 +1145,9 @@
 	struct file *file = NULL;
 	unsigned long retval = -EBADF;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|mmap_pgoff");
+
 	if (!(flags & MAP_ANONYMOUS)) {
 		audit_mmap_fd(fd, flags);
 		if (unlikely(flags & MAP_HUGETLB))
@@ -1190,6 +1196,9 @@
 {
 	struct mmap_arg_struct a;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|old_mmap");
+
 	if (copy_from_user(&a, arg, sizeof(a)))
 		return -EFAULT;
 	if (a.offset & ~PAGE_MASK)
@@ -2251,6 +2260,9 @@
 	int ret;
 	struct mm_struct *mm = current->mm;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|munmap");
+
 	profile_munmap(addr);
 
 	down_write(&mm->mmap_sem);
diff -Naur linux-source-2.6.38.orig/mm/mprotect.c linux-source-2.6.38.modif/mm/mprotect.c
--- linux-source-2.6.38.orig/mm/mprotect.c	2011-09-28 16:24:41.000000000 +0200
+++ linux-source-2.6.38.modif/mm/mprotect.c	2011-12-16 17:01:40.000000000 +0100
@@ -248,6 +248,9 @@
 	if (grows == (PROT_GROWSDOWN|PROT_GROWSUP)) /* can't be both */
 		return -EINVAL;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|mprotect");
+
 	if (start & ~PAGE_MASK)
 		return -EINVAL;
 	if (!len)
diff -Naur linux-source-2.6.38.orig/mm/mremap.c linux-source-2.6.38.modif/mm/mremap.c
--- linux-source-2.6.38.orig/mm/mremap.c	2011-09-28 16:24:41.000000000 +0200
+++ linux-source-2.6.38.modif/mm/mremap.c	2011-12-16 17:03:17.000000000 +0100
@@ -521,6 +521,9 @@
 {
 	unsigned long ret;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|mremap");
+
 	down_write(&current->mm->mmap_sem);
 	ret = do_mremap(addr, old_len, new_len, flags, new_addr);
 	up_write(&current->mm->mmap_sem);
diff -Naur linux-source-2.6.38.orig/mm/msync.c linux-source-2.6.38.modif/mm/msync.c
--- linux-source-2.6.38.orig/mm/msync.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/mm/msync.c	2011-12-16 16:46:10.000000000 +0100
@@ -36,6 +36,9 @@
 	int unmapped_error = 0;
 	int error = -EINVAL;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|msync");
+
 	if (flags & ~(MS_ASYNC | MS_INVALIDATE | MS_SYNC))
 		goto out;
 	if (start & ~PAGE_MASK)
diff -Naur linux-source-2.6.38.orig/mm/swapfile.c linux-source-2.6.38.modif/mm/swapfile.c
--- linux-source-2.6.38.orig/mm/swapfile.c	2011-09-28 16:24:41.000000000 +0200
+++ linux-source-2.6.38.modif/mm/swapfile.c	2011-12-16 17:04:20.000000000 +0100
@@ -1567,6 +1567,9 @@
 	int i, type, prev;
 	int err;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|swapoff");
+
 	if (!capable(CAP_SYS_ADMIN))
 		return -EPERM;
 
@@ -1876,6 +1879,9 @@
 	struct inode *inode = NULL;
 	int did_down = 0;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|swapon");
+
 	if (!capable(CAP_SYS_ADMIN))
 		return -EPERM;
 
diff -Naur linux-source-2.6.38.orig/net/socket.c linux-source-2.6.38.modif/net/socket.c
--- linux-source-2.6.38.orig/net/socket.c	2011-09-28 16:24:41.000000000 +0200
+++ linux-source-2.6.38.modif/net/socket.c	2011-12-16 17:05:09.000000000 +0100
@@ -2193,6 +2193,9 @@
 	int datagrams;
 	struct timespec timeout_sys;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|recvmmsg");
+
 	if (!timeout)
 		return __sys_recvmmsg(fd, mmsg, vlen, flags, NULL);
 
diff -Naur linux-source-2.6.38.orig/security/keys/keyctl.c linux-source-2.6.38.modif/security/keys/keyctl.c
--- linux-source-2.6.38.orig/security/keys/keyctl.c	2011-03-15 02:20:32.000000000 +0100
+++ linux-source-2.6.38.modif/security/keys/keyctl.c	2011-12-16 17:06:41.000000000 +0100
@@ -62,6 +62,9 @@
 	long ret;
 	bool vm;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|add_key");
+
 	ret = -EINVAL;
 	if (plen > 1024 * 1024 - 1)
 		goto error;
@@ -155,6 +158,9 @@
 	char type[32], *description, *callout_info;
 	long ret;
 
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|request_key");
+
 	/* pull the type into kernel space */
 	ret = key_get_type_from_user(type, _type, sizeof(type));
 	if (ret < 0)
@@ -1411,6 +1417,9 @@
 SYSCALL_DEFINE5(keyctl, int, option, unsigned long, arg2, unsigned long, arg3,
 		unsigned long, arg4, unsigned long, arg5)
 {
+	//GGuirado SysCall Statistics
+	printk(KERN_DEBUG "|keyctl");
+
 	switch (option) {
 	case KEYCTL_GET_KEYRING_ID:
 		return keyctl_get_keyring_ID((key_serial_t) arg2,
